Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2452 closed enhancement (fixed)

Remove H8300 Architectual Port

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords: obsolete, target
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Remove the H8300 port per the instructions at ​https://devel.rtems.org/wiki/Developer/Removing_a_Port.

All BSPa must be removed before the architectural port can be removed. These are tracked by the following tickets:

#2453 - h8sim

Rationale: The h8 has been end of lifed. There do not appear to be any users based up questions and tickets filed. The architecture itself has issues which lead to breakages in gcc (which do get fixed though often slowly) and those same issues force us to disable some features like iconv in newlib. With no users, end of life, and tool issues, it is time to remove it.

Change History (8)

comment:1 Changed on 11/03/15 at 15:31:19 by Joel Sherrill

Description: modified (diff)

comment:2 Changed on 11/03/15 at 19:27:31 by Joel Sherrill

Keywords: obsolete target added

comment:3 Changed on 02/15/17 at 13:50:44 by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 06/08/17 at 07:24:20 by Sebastian Huber

Resolution: fixed
Status: assignedclosed

comment:6 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:7 Changed on 11/08/18 at 15:48:38 by Sebastian Huber <sebastian.huber@…>

In [changeset:"947b679f74325a296904ae151899e3a42b6c8437/rtems" 947b679/rtems]:

h8300: Remove left over files

Update #2452.

comment:8 Changed on 10/08/21 at 15:42:04 by Joel Sherrill <joel@…>

In [changeset:"f6385b4edc5d0cc6626783c7920c521622796b4b/rtems" f6385b4e/rtems]:

libdl/rtl-mdreloc-h8300.c: Remove remnant of h8300 port

Updates #2452.

Note: See TracTickets for help on using tickets.